aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorChristian Kampka <christian@kampka.net>2015-11-06 23:19:38 +0100
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2015-11-09 22:08:13 +0100
commit30efd0e43057645d8286c5f65573d1b62077bb85 (patch)
treef84dece073bc6ea863764147a5ffb45363e46b36 /main
parentcb280aeb7c2185f3de8c9331139b77d1a04bf334 (diff)
downloadaports-30efd0e43057645d8286c5f65573d1b62077bb85.tar.bz2
aports-30efd0e43057645d8286c5f65573d1b62077bb85.tar.xz
main/halberd: new upstream url, fix docs
Diffstat (limited to 'main')
-rw-r--r--main/halberd/APKBUILD31
-rw-r--r--main/halberd/fix-script-include.patch16
2 files changed, 35 insertions, 12 deletions
diff --git a/main/halberd/APKBUILD b/main/halberd/APKBUILD
index 4e4bb958c6..3ec01d19f4 100644
--- a/main/halberd/APKBUILD
+++ b/main/halberd/APKBUILD
@@ -2,18 +2,19 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=halberd
pkgver=0.2.4
-pkgrel=0
+pkgrel=1
pkgdesc="Tool to discover HTTP load balancers"
url="http://halberd.superadditive.com"
arch="noarch"
license="GPL2+"
depends="python"
depends_dev=""
-makedepends="python-dev"
+makedepends="python-dev help2man"
install=""
subpackages="$pkgname-doc"
-source="http://$pkgname.superadditive.com/dist/$pkgname-$pkgver.tar.gz
- $pkgname-sslwrap.patch"
+source="$pkgname-$pkgver.tar.gz::https://github.com/jmbr/$pkgname/archive/$pkgver.tar.gz
+ $pkgname-sslwrap.patch
+ fix-script-include.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
@@ -29,6 +30,9 @@ prepare() {
build() {
cd "$_builddir"
python setup.py build || return 1
+ mkdir -p $_builddir/man/man1
+ help2man --include $_builddir/help2man.cfg --no-info $_builddir/scripts/halberd --output $_builddir/man/man1/halberd.1
+
}
package() {
@@ -39,12 +43,15 @@ package() {
doc() {
# The man page is not picked-up automatically
mkdir -p "$subpkgdir"/usr/share/man || return 1
- mv "$_builddir"/man/man* "$subpkgdir"/usr/share/man/ || return 1
+ mv "$_builddir"/man/ "$subpkgdir"/usr/share/ || return 1
+ default_doc
}
-
-md5sums="d60d0fba8f379ea72c623ad1dd6052c3 halberd-0.2.4.tar.gz
-a46227da33465e246017c8ec4650d76f halberd-sslwrap.patch"
-sha256sums="5746484757b65191ae5062e9dda972eed7e876620ee348929b1b9490077d8f28 halberd-0.2.4.tar.gz
-6541afcd3d5bd1f7eb37683f81242986ea8e1db73f5a7dc732bfe89373fa3249 halberd-sslwrap.patch"
-sha512sums="80563f9a903a034163ede3319e88305bce8d2de9541aa1fc4d42dff6dd55516d000b0e50af6a053e3c894d6f30bb9d0d27461d0b353ff246b281def8ce6dfd80 halberd-0.2.4.tar.gz
-8ee49b553301f36fb22c88b07b0c6306d12fabb3074382cdac5b7203a58c21a225330a40b11eba518fbd1377f4a6370285736aeaf6c8807f84e77086c5b1754a halberd-sslwrap.patch"
+md5sums="8cd4e14ce84e5fb9f9f435145792c601 halberd-0.2.4.tar.gz
+a46227da33465e246017c8ec4650d76f halberd-sslwrap.patch
+71e41dc35b55ef7ec60befe465e150c1 fix-script-include.patch"
+sha256sums="744a9efb1acddb3aedb3e2889a2a4c6461ffbf57adf84421022b7ab47ef12fa6 halberd-0.2.4.tar.gz
+6541afcd3d5bd1f7eb37683f81242986ea8e1db73f5a7dc732bfe89373fa3249 halberd-sslwrap.patch
+3627f2b5a1384fa797ce2cca4b6935353b6bf211fe06928c139fe4bf088f2650 fix-script-include.patch"
+sha512sums="133eb683f46a078b45023198746c583ae96cd54b75eedbc46a3d49675307927a7d9f05383e312b589fa5efe79e68c75fcd1d31649df2852ca27cc5d30c307672 halberd-0.2.4.tar.gz
+8ee49b553301f36fb22c88b07b0c6306d12fabb3074382cdac5b7203a58c21a225330a40b11eba518fbd1377f4a6370285736aeaf6c8807f84e77086c5b1754a halberd-sslwrap.patch
+24288ba822b33a55cd2a69ca1cfa18241f6bf937fd73e5edc0f9f78b6f49c137869bf064ab6574b1c9a17cf32edf1b8e04abc58f1c5610e0cdf534118c13f5b8 fix-script-include.patch"
diff --git a/main/halberd/fix-script-include.patch b/main/halberd/fix-script-include.patch
new file mode 100644
index 0000000000..a4fc3d5bcd
--- /dev/null
+++ b/main/halberd/fix-script-include.patch
@@ -0,0 +1,16 @@
+diff --git scripts/halberd scripts/halberd
+index cf01b1e..2b5c218 100755
+--- scripts/halberd
++++ scripts/halberd
+@@ -20,8 +20,9 @@
+ # along with this program; if not, write to the Free Software
+ # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+-
+-import sys
++import sys, os
++if os.path.dirname(os.path.abspath(sys.argv[0])) == os.path.abspath("scripts"):
++ sys.path.insert(0, "./")
+
+ import Halberd.shell
+ import Halberd.logger